Package org.eclipse.emf.compare.match.resource

## Class NameSimilarityMatchingStrategy

- java.lang.Object
- - org.eclipse.emf.compare.match.resource.NameSimilarityMatchingStrategy

All Implemented Interfaces:
  `IResourceMatchingStrategy`

    public class NameSimilarityMatchingStrategy
    extends Object
    implements IResourceMatchingStrategy

This implementation of a matching strategy will try and determine the resource mappings through the similarity of their names.

Specifically, this will determine the cartesian product of the resource sets, compute a similarity for every single couple of Resource, then consider that every similarity that is above 80% constitutes a mapping.

### Constructor Summary

Constructors
`NameSimilarityMatchingStrategy()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static MatchResource` `createMatchResource​(Resource left, Resource right, Resource origin)` Creates a `MatchResource` instance and sets all three resources of the mapping on it.
`List<MatchResource>` `matchResources​(Iterable<? extends Resource> left, Iterable<? extends Resource> right, Iterable<? extends Resource> origin)` This will be called by the resource matcher in order to determine the matching between n resources.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameSimilarityMatchingStrategy

    public NameSimilarityMatchingStrategy()

### Method Detail

#### matchResources

    public List<MatchResource> matchResources​(Iterable<? extends Resource> left,
                                              Iterable<? extends Resource> right,
                                              Iterable<? extends Resource> origin)

This will be called by the resource matcher in order to determine the matching between n resources.

Specified by:
  `matchResources` in interface `IResourceMatchingStrategy`
Parameters:
  `left` - Resources we are to match in the left.
  `right` - Resources we are to match in the right.
  `origin` - Resources we are to match in the origin.
Returns:
  The list of mappings this strategy managed to determine.
See Also:
  `IResourceMatchingStrategy.matchResources(java.lang.Iterable, java.lang.Iterable, java.lang.Iterable)`

#### createMatchResource

    protected static MatchResource createMatchResource​(Resource left,
                                                       Resource right,
                                                       Resource origin)

Creates a `MatchResource` instance and sets all three resources of the mapping on it.

Parameters:
  `left` - The left resource of this mapping.
  `right` - The right resource of this mapping.
  `origin` - The origin resource of this mapping.
Returns:
  The create mapping.